Show warning when attempting to attach more than the allowed number of attachments

2014-12-03 21:38 - Stephen Ostrow

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Attachments Estimated time: 0.00 hour

Target version: 4.2.0   

Resolution: Fixed   

Description

I was just notified by an employee of mine that my ticket was missing some of the attached files that should have been there. I

thought I had merely forgot to attach them; however, upon repeating my edit due to needing to remake all the files I learned that

redmine has a hard limit of 10 files attached per edit.

Although I'm not sure why this limit exists (I'll be adding another issue to make this a setting or remove it) redmine should definitely

alert the end user to the limit both beforehand such as like the the text for max file size is displayed as well as after an attempt to add

more than 10 files is added (javascript alert box or something similar).

This is related to issue #8579

This is the code in question: source:/trunk/public/javascripts/attachments.js#L6

Related issues:

Related to Redmine - Feature #18556: Add ability to configure limit of attach... New

Has duplicate Redmine - Defect #18642: Limited number of simultanous file upl... Closed

Associated revisions

Revision 19620 - 2020-03-26 07:38 - Go MAEDA

Show warning when attempting to attach more than the allowed number of attachments (#18555).

Patch by Mizuki ISHIKAWA.

Revision 19621 - 2020-03-26 07:41 - Go MAEDA

Update locales (#18555).

Revision 20711 - 2021-01-13 07:12 - Go MAEDA

Fix that alerts may be displayed multiple times when the number of files attempting to be uploaded exceeds the limit (#18555).

Patch by Mizuki ISHIKAWA.

History

#1 - 2014-12-04 00:59 - Go MAEDA

- Related to Feature #18556: Add ability to configure limit of attachments at once added

#2 - 2014-12-15 14:56 - Go MAEDA

- Has duplicate Defect #18642: Limited number of simultanous file uploads added

#3 - 2020-03-16 05:48 - Mizuki ISHIKAWA

- File defect-18555-v1.patch added

- File ScreenShot.png added

After adding the eleventh file, I attached a patch that gives a javascript alert like the image below.

 ScreenShot.png 

max-number-of-files-message:

This file cannot be uploaded because the maximum number of files that can be attached at the same time has bee
n reached.

 I'm not a native English speaker, so I'd like someone to review the "max-number-of-files-message".

#4 - 2020-03-24 09:35 - Mizuki ISHIKAWA

- File defect-18555-v2.patch added

I changed the message.

#5 - 2020-03-24 14:33 - Go MAEDA

- Target version set to Candidate for next major release

#6 - 2020-03-25 08:57 - Mizuki ISHIKAWA

- File defect-18555-v3.patch added

Marius Ionescu BALTEANU and Bernhard Ganslmeier Rohloff corrected the English sentence, so I updated the patch based on that.

#7 - 2020-03-25 09:28 - Go MAEDA

- Target version changed from Candidate for next major release to 4.2.0

Setting the target version to 4.2.0.

#8 - 2020-03-26 07:40 - Go MAEDA

- Tracker changed from Defect to Feature

- Subject changed from Notify user when attempting to attach more than the allowed number of attachments to Show warning when attempting to

attach more than the allowed number of attachments

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch. Thank you for improving Redmine.

#9 - 2020-03-26 07:50 - Go MAEDA

- Status changed from New to Closed

#10 - 2021-01-12 05:37 - Mizuki ISHIKAWA

- File alerts-appear-multiple-times.gif added

- File fix-the-number-of-alerts.patch added

With this change, you will now be alerted three times when you attach 13 files at the same time. The alert will be repeated as many times as the limit

of 10 is exceeded. ( Related comment: https://www.redmine.org/issues/30776#note-7 )

 alerts-appear-multiple-times.gif 

I think one alerts is enough, so I'll attach a patch to fix it.

#11 - 2021-01-12 06:15 - Go MAEDA

- Status changed from Closed to Reopened

#12 - 2021-01-13 07:12 - Go MAEDA

- Status changed from Reopened to Closed

Mizuki ISHIKAWA wrote:

With this change, you will now be alerted three times when you attach 13 files at the same time. The alert will be repeated as many times as the

limit of 10 is exceeded. ( Related comment: https://www.redmine.org/issues/30776#note-7 )

 alerts-appear-multiple-times.gif 

 Fixed in r20711. Thank you.

Files

2025-05-01 2/3

https://www.redmine.org/users/27597
https://www.redmine.org/users/12917
https://www.redmine.org/issues/30776#note-7
https://www.redmine.org/issues/30776#note-7
https://www.redmine.org/projects/redmine/repository/svn/revisions/20711
ScreenShot.png 200 KB 2020-03-16 Mizuki ISHIKAWA
